/*******************************************************************************
 * Copyright (c) 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
module dwt.internal.ole.win32.IDragSourceHelper;

import dwt.dwthelper.utils;

import dwt.internal.win32.POINT;
import dwt.internal.win32.SHDRAGIMAGE;

public class IDragSourceHelper extends IUnknown {
public IDragSourceHelper(int /*long*/ address) {
    super(address);
}
public int InitializeFromBitmap(SHDRAGIMAGE pshdi, int /*long*/ pDataObject) {
    return COM.VtblCall(3, address, pshdi, pDataObject);
}
public int InitializeFromWindow(int /*long*/ hwnd, POINT ppt, int /*long*/ pDataObject) {
    return COM.VtblCall(4, address, hwnd, ppt, pDataObject);
}
}
